devel/ecore - The NetBSD Packages Collection

Event Abstraction and Modular Convenience Library

Ecore is the core event abstraction layer and X abstraction layer
that makes doing selections, Xdnd, general X stuff, and event loops,
timeouts and idle handlers fast, optimized, and convenient.
It's a separate library so anyone can make use of the work put into Ecore
to make this job easy for applications.

Build dependencies

pkgtools/x11-links x11/xorgproto pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

devel/eet graphics/evas-buffer graphics/evas-software-x11 graphics/evas www/curl x11/libXScrnSaver x11/libXcomposite x11/xcursor x11/xcursor x11/libXrender x11/libXdamage x11/liboldXrandr x11/liboldXrandr x11/libXtst devel/eet graphics/evas www/curl x11/xcursor x11/liboldXrandr

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfecore-1.7.10nb4.tgz
NetBSD 8.0earmv7hfecore-1.7.10nb3.tgz
NetBSD 8.0earmv7hfecore-1.7.10nb4.tgz
NetBSD 8.0i386ecore-1.7.10nb3.tgz
NetBSD 8.0i386ecore-1.7.10nb4.tgz
NetBSD 8.0powerpcecore-1.7.10nb3.tgz
NetBSD 8.0powerpcecore-1.7.10nb4.tgz
NetBSD 8.0powerpcecore-1.7.10nb4.tgz
NetBSD 8.0powerpcecore-1.7.10nb4.tgz
NetBSD 8.0x86_64ecore-1.7.10nb3.tgz
NetBSD 8.0x86_64ecore-1.7.10nb4.tgz
NetBSD 9.0aarch64ecore-1.7.10nb4.tgz
NetBSD 9.0aarch64ecore-1.7.10nb3.tgz
NetBSD 9.0aarch64ecore-1.7.10nb4.tgz
NetBSD 9.0alphaecore-1.7.10nb4.tgz
NetBSD 9.0alphaecore-1.7.10nb3.tgz
NetBSD 9.0alphaecore-1.7.10nb4.tgz
NetBSD 9.0earmecore-1.7.10nb3.tgz
NetBSD 9.0earmecore-1.7.10nb4.tgz
NetBSD 9.0earmecore-1.7.10nb4.tgz
NetBSD 9.0earmv6hfecore-1.7.10nb4.tgz
NetBSD 9.0earmv6hfecore-1.7.10nb3.tgz
NetBSD 9.0earmv6hfecore-1.7.10nb4.tgz
NetBSD 9.0earmv7hfecore-1.7.10nb4.tgz
NetBSD 9.0earmv7hfecore-1.7.10nb3.tgz
NetBSD 9.0earmv7hfecore-1.7.10nb4.tgz
NetBSD 9.0earmv7hfecore-1.7.10nb4.tgz
NetBSD 9.0i386ecore-1.7.10nb3.tgz
NetBSD 9.0i386ecore-1.7.10nb4.tgz
NetBSD 9.0mips64ebecore-1.7.10nb4.tgz
NetBSD 9.0mips64ebecore-1.7.10nb3.tgz
NetBSD 9.0mips64ebecore-1.7.10nb3.tgz
NetBSD 9.0mips64ebecore-1.7.10nb3.tgz
NetBSD 9.0mips64ebecore-1.7.10nb4.tgz
NetBSD 9.0mipselecore-1.7.10nb4.tgz
NetBSD 9.0mipselecore-1.7.10nb3.tgz
NetBSD 9.0mipselecore-1.7.10nb3.tgz
NetBSD 9.0mipselecore-1.7.10nb4.tgz
NetBSD 9.0powerpcecore-1.7.10nb4.tgz
NetBSD 9.0powerpcecore-1.7.10nb3.tgz
NetBSD 9.0powerpcecore-1.7.10nb4.tgz
NetBSD 9.0powerpcecore-1.7.10nb4.tgz
NetBSD 9.0sh3elecore-1.7.10nb4.tgz
NetBSD 9.0sh3elecore-1.7.10nb3.tgz
NetBSD 9.0sh3elecore-1.7.10nb3.tgz
NetBSD 9.0sh3elecore-1.7.10nb4.tgz
NetBSD 9.0sparc64ecore-1.7.10nb4.tgz
NetBSD 9.0sparc64ecore-1.7.10nb3.tgz
NetBSD 9.0sparc64ecore-1.7.10nb4.tgz
NetBSD 9.0sparcecore-1.7.10nb4.tgz
NetBSD 9.0sparcecore-1.7.10nb3.tgz
NetBSD 9.0sparcecore-1.7.10nb3.tgz
NetBSD 9.0sparcecore-1.7.10nb3.tgz
NetBSD 9.0sparcecore-1.7.10nb4.tgz
NetBSD 9.0x86_64ecore-1.7.10nb4.tgz
NetBSD 9.0x86_64ecore-1.7.10nb4.tgz
NetBSD 9.0x86_64ecore-1.7.10nb3.tgz
NetBSD 9.0x86_64ecore-1.7.10nb4.tgz
NetBSD 9.0x86_64ecore-1.7.10nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.